=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/alter_table.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/alter_table.result	2010-08-04 02:11:50 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/alter_table.result	2010-08-20 15:01:12 +0000
@@ -356,7 +356,7 @@
   `a` int NOT NULL,
   `b` int DEFAULT NULL,
   UNIQUE KEY `b` (`b`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 ALTER TABLE t1 DROP PRIMARY KEY;
 ERROR 42000: Can't DROP 'PRIMARY'; check that column/key exists
 DROP TABLE t1;
@@ -527,13 +527,13 @@
 t1	CREATE TABLE `t1` (
   `a` int DEFAULT NULL,
   KEY `i1` (`a`) USING BTREE
-) ENGINE=DEFAULT ROW_FORMAT='COMPACT'
+) ENGINE=DEFAULT COLLATE = utf8_general_ci ROW_FORMAT='COMPACT'
 DROP INDEX i1 ON t1;
 SHOW CREATE TABLE t1;
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `a` int DEFAULT NULL
-) ENGINE=DEFAULT ROW_FORMAT='COMPACT'
+) ENGINE=DEFAULT COLLATE = utf8_general_ci ROW_FORMAT='COMPACT'
 DROP TABLE t1;
 DROP TABLE IF EXISTS bug24219;
 DROP TABLE IF EXISTS bug24219_2;
@@ -800,12 +800,12 @@
 Table	Create Table
 tt+1	CREATE TEMPORARY TABLE `tt+1` (
   `c1` int DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 SHOW CREATE TABLE `tt+2`;
 Table	Create Table
 tt+2	CREATE TEMPORARY TABLE `tt+2` (
   `c1` int DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 DROP TABLE   `tt+1`, `tt+2`;
 CREATE TEMPORARY TABLE `#sql1` (c1 INT);
 CREATE TEMPORARY TABLE `@0023sql2` (c1 INT);
@@ -825,12 +825,12 @@
 Table	Create Table
 #sql2	CREATE TEMPORARY TABLE `#sql2` (
   `c1` int DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 SHOW CREATE TABLE `@0023sql1`;
 Table	Create Table
 @0023sql1	CREATE TEMPORARY TABLE `@0023sql1` (
   `c1` int DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 DROP TABLE `#sql2`, `@0023sql1`;
 DROP TABLE IF EXISTS t1;
 DROP TABLE IF EXISTS t2;

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/auto_increment.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/auto_increment.result	2010-06-21 05:39:42 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/auto_increment.result	2010-08-20 15:01:12 +0000
@@ -159,7 +159,7 @@
   `a` int NOT NULL AUTO_INCREMENT,
   `b` int DEFAULT NULL,
   PRIMARY KEY (`a`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci 
 update t1 set a=0 where b=5;
 select * from t1 order by b;
 a	b
@@ -312,7 +312,7 @@
   `t1_id` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`t1_id`) USING BTREE,
   KEY `t1_name` (`t1_name`(191)) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci AUTO_INCREMENT=1000 
 DROP TABLE `t1`;
 create table t1(a int not null auto_increment primary key);
 create table t2(a int not null auto_increment primary key, t1a int);

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_nullable.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_nullable.result	2010-04-06 06:52:59 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_nullable.result	2010-08-20 15:01:12 +0000
@@ -8,7 +8,7 @@
   `d` int NOT NULL,
   `pk` int NOT NULL,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 insert into t1 values (0,0, 0, 0,0);
 insert into t1 values (NULL, NULL, NULL, NULL, 1);
 ERROR 23000: Column 'b' cannot be null

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_select.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_select.result	2010-04-07 02:49:57 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_select.result	2010-08-20 15:01:12 +0000
@@ -12,5 +12,5 @@
 t3	CREATE TABLE `t3` (
   `d` int NOT NULL,
   PRIMARY KEY (`d`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1, t2, t3;

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_table.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_table.result	2010-04-28 02:53:17 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_table.result	2010-08-20 15:01:12 +0000
@@ -4,7 +4,7 @@
 t1	CREATE TABLE `t1` (
   `a` int NOT NULL,
   PRIMARY KEY (`a`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 CREATE TABLE t1 (a int primary key);
 ERROR 42S01: Table 'test.t1' already exists
 CREATE TABLE t2 (a int primary key, b varchar(20), c bigint);

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_with_index.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_with_index.result	2010-02-24 01:46:30 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_create_with_index.result	2010-08-20 15:01:12 +0000
@@ -4,7 +4,7 @@
 t1	CREATE TABLE `t1` (
   `a` int NOT NULL,
   PRIMARY KEY (`a`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 DROP TABLE t1;
 CREATE TABLE t2 (a int primary key, b int unique, c varchar(100) unique);
 SHOW CREATE TABLE t2;
@@ -16,5 +16,5 @@
   PRIMARY KEY (`a`) USING BTREE,
   UNIQUE KEY `b` (`b`) USING BTREE,
   UNIQUE KEY `c` (`c`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 DROP TABLE t2;

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_innodb_table_proto_table.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_innodb_table_proto_table.result	2010-03-16 06:11:49 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/basic_innodb_table_proto_table.result	2010-08-20 15:01:12 +0000
@@ -4,7 +4,7 @@
   `table_name` varbinary(192) DEFAULT NULL,
   `message` blob,
   PRIMARY KEY (`table_name`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 select * from data_dictionary.innodb_table_definitions;
 table_name	message
 use data_dictionary;

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/config_table_function.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/config_table_function.result	2010-08-10 18:18:26 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/config_table_function.result	2010-08-20 15:01:12 +0000
@@ -4,7 +4,7 @@
   `NAME` varchar(256) NOT NULL,
   `TYPE` varchar(256) NOT NULL,
   `VALUE` varchar(64) DEFAULT NULL
-) ENGINE=FunctionEngine
+) ENGINE=FunctionEngine COLLATE = utf8_general_ci
 SELECT COUNT(*) FROM DATA_DICTIONARY.INNODB_CONFIGURATION;
 COUNT(*)
 36

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/status_table_function.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/status_table_function.result	2010-08-06 17:53:24 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/status_table_function.result	2010-08-20 15:01:12 +0000
@@ -3,7 +3,7 @@
 INNODB_STATUS	CREATE TABLE `innodb_status` (
   `NAME` varchar(256) NOT NULL,
   `VALUE` bigint DEFAULT NULL
-) ENGINE=FunctionEngine
+) ENGINE=FunctionEngine COLLATE = utf8_general_ci
 SELECT COUNT(NAME) FROM DATA_DICTIONARY.INNODB_STATUS;
 COUNT(NAME)
 41

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_blob.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_blob.result	2010-08-04 02:12:27 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_blob.result	2010-08-20 15:01:12 +0000
@@ -20,12 +20,12 @@
 t3	CREATE TABLE `t3` (
   `a` int DEFAULT NULL,
   `b` int DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show create TABLE t4;
 Table	Create Table
 t4	CREATE TABLE `t4` (
   `c` varchar(16383) NOT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1,t2,t3,t4;
 CREATE TABLE t1 (a blob default "hello");
 ERROR 42000: BLOB/TEXT column 'a' can't have a default value
@@ -344,7 +344,7 @@
 t1	CREATE TABLE `t1` (
   `a` text,
   KEY `a` (`a`(191)) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1;
 CREATE TABLE t1 (
 t1_id bigint NOT NULL auto_increment,
@@ -592,7 +592,7 @@
   `e` int DEFAULT NULL,
   PRIMARY KEY (`a`,`b`,`c`(255),`d`) USING BTREE,
   KEY `a` (`a`,`b`,`d`,`e`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1;
 CREATE table t1 (a blob);
 insert into t1 values ('b'),('a\0'),('a'),('a '),('aa'),(NULL);
@@ -652,7 +652,7 @@
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `a` text
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 insert into t1 values (default);
 select * from t1;
 a

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_datetime.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_datetime.result	2010-04-28 02:52:03 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_datetime.result	2010-08-20 15:01:12 +0000
@@ -183,7 +183,7 @@
   `dt` datetime DEFAULT '1962-03-03 00:00:00',
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 insert into t1 values ();
 insert into t1 (da, dt) values ('2007-03-23 13:49:38','2007-03-23 13:49:38');
 insert into t1 (da, dt) values ('2007-03-23 13:49:38','2007-03-23 13:49:38');
@@ -394,7 +394,7 @@
   `dt` datetime DEFAULT '1962-03-03 00:00:00',
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 insert into t1 values ();
 insert into t1 (da, dt) values ('2007-03-23 13:49:38','2007-03-23 13:49:38');
 insert into t1 (da, dt) values ('2007-03-23 13:49:38','2007-03-23 13:49:38');

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_decimal.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_decimal.result	2010-05-27 06:09:12 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_decimal.result	2010-08-20 15:01:12 +0000
@@ -354,14 +354,14 @@
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `d` decimal(5,0) DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1;
 create table t1 (d decimal);
 show create table t1;
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `d` decimal(10,0) DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1;
 create table t1 (d decimal(66,0));
 ERROR 42000: Too big precision 66 specified for column 'd'. Maximum is 65.
@@ -530,7 +530,7 @@
 t1	CREATE TABLE `t1` (
   `a` decimal(10,0) DEFAULT NULL,
   `b` int DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 select round(a,b) as c from t1 order by c;
 c
 1234567890

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_enum.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_enum.result	2010-04-07 05:45:57 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_enum.result	2010-08-20 15:01:12 +0000
@@ -1629,7 +1629,7 @@
 t1	CREATE TABLE `t1` (
   `a` enum(' ','a','b') NOT NULL,
   PRIMARY KEY (`a`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 drop table t1;
 create table t1 (a enum (' ','a','b ') not null primary key default 'b ');
 show create table t1;
@@ -1637,7 +1637,7 @@
 t1	CREATE TABLE `t1` (
   `a` enum(' ','a','b') NOT NULL DEFAULT 'b',
   PRIMARY KEY (`a`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 drop table t1;
 create table t1 (a enum ('0','1') primary key);
 insert into t1 set a='foobar';
@@ -1666,7 +1666,7 @@
   `f1` int NOT NULL,
   `f2` enum('Y','N') DEFAULT NULL,
   PRIMARY KEY (`f1`) USING BTREE
-) ENGINE=InnoDB
+) ENGINE=InnoDB COLLATE = utf8_general_ci
 drop table t1;
 CREATE TABLE t1 (
 id INT AUTO_INCREMENT PRIMARY KEY,

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_float.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_float.result	2010-07-30 21:02:53 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_float.result	2010-08-20 15:01:12 +0000
@@ -79,7 +79,7 @@
   `col2` double(22,5) NOT NULL,
   `col3` double NOT NULL,
   `col4` double DEFAULT NULL
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1,t2;
 create table t1 (a float primary key);
 insert into t1 values (1);
@@ -161,7 +161,7 @@
 t3	CREATE TABLE `t3` (
   `d` double NOT NULL,
   PRIMARY KEY (`d`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 drop table t1, t2, t3;
 create temporary table  t1 engine=myisam as select  105213674794682365.00 + 0.0 x;
 show warnings;

=== modified file 'plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_timestamp.result'
--- plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_timestamp.result	2010-08-04 00:45:23 +0000
+++ plugin/embedded_innodb/test-suite-dir/embedded_innodb/tests/r/type_timestamp.result	2010-08-20 15:01:12 +0000
@@ -149,7 +149,7 @@
   `t3` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show columns from t1;
 Field	Type	Null	Default	Default_is_NULL	On_Update
 t1	TIMESTAMP	YES	2003-01-01 00:00:00	NO	
@@ -176,7 +176,7 @@
   `t3` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show columns from t1;
 Field	Type	Null	Default	Default_is_NULL	On_Update
 t1	TIMESTAMP	YES	CURRENT_TIMESTAMP	YES	
@@ -205,7 +205,7 @@
   `t2` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show columns from t1;
 Field	Type	Null	Default	Default_is_NULL	On_Update
 t1	TIMESTAMP	YES	2003-01-01 00:00:00	NO	CURRENT_TIMESTAMP
@@ -233,7 +233,7 @@
   `t2` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show columns from t1;
 Field	Type	Null	Default	Default_is_NULL	On_Update
 t1	TIMESTAMP	YES	CURRENT_TIMESTAMP	YES	CURRENT_TIMESTAMP
@@ -262,7 +262,7 @@
   `t3` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show columns from t1;
 Field	Type	Null	Default	Default_is_NULL	On_Update
 t1	TIMESTAMP	YES		YES	
@@ -291,7 +291,7 @@
   `t2` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 show columns from t1;
 Field	Type	Null	Default	Default_is_NULL	On_Update
 t1	TIMESTAMP	YES	CURRENT_TIMESTAMP	YES	CURRENT_TIMESTAMP
@@ -349,7 +349,7 @@
   `b` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 insert into t1 (a,b) values (NULL, NULL);
 SET TIMESTAMP=1000000017;
 insert into t1 values ();
@@ -366,7 +366,7 @@
   `b` timestamp NULL DEFAULT NULL,
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 insert into t1 (a,b) values (NULL, NULL);
 SET TIMESTAMP=1000000018;
 insert into t1 values  ();
@@ -383,7 +383,7 @@
   `b` timestamp NULL DEFAULT '2003-01-01 00:00:00',
   `pk` int NOT NULL AUTO_INCREMENT,
   PRIMARY KEY (`pk`) USING BTREE
-) ENGINE=DEFAULT
+) ENGINE=DEFAULT COLLATE = utf8_general_ci
 insert into t1 (a,b) values (NULL, NULL);
 insert into t1 (a,b) values (DEFAULT, DEFAULT);
 select * from t1;

